---
title: AdMob with Firebase
description: Google AdMob makes it easy for developers to earn money from their mobile apps with high-quality ads.
---

# AdMob with Firebase

Admob is now a part of Firebase, allowing you to bring high quality ads to your React Native application
whilst taking advantage of other Firebase service such as Analytics. React Native Firebase provides integration with
[Banner Ads](https://developers.google.com/admob/android/banner?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=admob),
[Interstitial Ads](https://developers.google.com/admob/android/interstitial?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=admob)
and [Rewarded Video Ads](https://developers.google.com/admob/android/rewarded-video?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=admob).

_We are currently investigating how to integrate with [Native Ads](https://developers.google.com/admob/android/native/start?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=admob)._

<Youtube id="9qCxo0D-Sak" />

## Getting Started

<Grid columns="2">
	<Block
		icon="attach_money"
		color="#2196f3"
		title="Quick Start"
		to="/quick-start"
	>
    Install & start monetizing your React Native application with AdMob.
	</Block>
 	<Block
		icon="pan_tool"
		color="#f44336"
		title="European User Consent"
		to="/european-user-consent"
	>
    Learn how to request consent from users within the EEA. The AdMob library comes with built in support to help you handle GDPR regulations in your application.
	</Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=admob"
	>
    The AdMob package provides a simple API to get started. Learn how to take full advantage of AdMob with our guides.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The reference API for AdMob covers all aspects of the package, from component props to advert lifecycle events.
	</Block>
</Grid>
