---
title: Analytics
description: Google Analytics for Firebase is a free app measurement solution that provides insight on app usage and user engagement.
---

# Analytics

The analytics module provides out of the box support with Google Analytics for Firebase.
Integration with the Android & iOS allows for in-depth analytical insight reporting, such as
device information, location, user actions and more.

<Youtube id="8iZpH7O6zXo" />

## Getting Started

<Grid columns="2">
	<Block
		icon="multiline_chart"
		color="#2196f3"
		title="Quick Start"
		to="/quick-start"
	>
    Install & start gaining insight into your users behaviour throught your application.
	</Block>
	<Block
		icon="block"
		color="#f44336"
		title="Reserved Events"
		to="/reserved-events"
	>
    Firebase Analytics automatically tracks certain events which cannot be overridden. Understanding 
    what events are provided out of the box is a great place to start.
	</Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=analytics"
	>
    Analytics works great out of the box, however provides a powerful API to gain full analytical insight into 
    your application. Our guides cover topics from the basics to advanced integration techiques.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    Take advantage of the simple reference API for Analytics start integrating it into your application.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-analytics)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+label%3Aanalytics+)
- [Firebase Documentation](https://firebase.google.com/docs/analytics?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=analytics)
