---
title: Firebase App
description: The app module is the core library which integrates React Native with Firebase.
---

# App

The React Native Firebase library provides access to the current `firebase` instance, along with providing
functionality for changing the current app instance used by some other packages.

App is also responsible for the initialization process of connecting to your Firebase project. Every package requires
app to be installed.

## Getting Started

<Grid>
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
	  Install & connect your app to your Firebase project.
  </Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=app"
	>
    Our guides explian how to take advantage of multiple app instances with Firebase.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The API reference covers every aspect of the app package.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-app)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Aapp+)
- [Firebase Documentation](https://firebase.google.com/docs/functions?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=app)
