---
title: Authentication
description: Authenticate users with your application. React Native Firebase integrates with all Firebase Auth providers.
---

# Authentication

The authentication module provides an easy-to-use API to integrate an authentication workflow into new and existing applications.
React Native Firebase provides access to all Firebase authentication methods and idenity providers.

<Youtube id="8sGY55yxicA" />

## Getting Started

<Grid columns="3">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Install & start authenticating your users with Firebase.
	</Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=auth"
	>
    Looking for advanced authentication help? Our indepth guides cover topics such as social integration.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The authentication API reference documentation provides detailed information for each of the classes and methods.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-auth)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Aauth+)
- [Firebase Documentation](https://firebase.google.com/docs/auth?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=auth)
