---
title: Crashlytics
description: Firebase Crashlytics is a lightweight, realtime crash reporter that helps you track, prioritize, and fix stability issues that erode your app quality.
---

# Crashlytics

Firebase Crashlytics is a lightweight, realtime crash reporter that helps you track, prioritize, and fix stability issues that erode your app quality.
React Native Firebase provides automatic crash reporting for both native and JavaScript errors, including unhandled promise rejections.
The JavaScript API also allows for full custom crash reporting and supports sending additional attributes to help debug crashes within your
application.

<Youtube id="k_mdNRZzd30" />

## Getting Started

<Grid columns="3">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
	  Install & start capturing any errors your application throws.
  </Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=crashlytics"
	>
    Ensuring crash reports contain the right information to help you debug and fix the issue is crtical to providing
    a stable application. Our guides cover tips and tricks for integrating Crashlytics sucessfully.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The API reference covers every aspect to successfully integrate your application with
    Crashlyics.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-crashlytics)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Acrashlytics+)
- [Firebase Documentation](https://firebase.google.com/docs/functions?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=crashlytics)
