---
title: Dynamic Links
description: Firebase Dynamic Links are links that work the way you want, whether or not your app is already installed.
---

# Dynamic Links

React Native Firebase provides native integration Firebase Cloud Messaging (FCM) for both Android & iOS. FCM is a
cost free service, allowing for server-device and device-device communication. The React Native Firebase Messaging
module provides a simple JavaScript API to interact with FCM.

The Messaging module is only responsible for handling data-only messages. To learn how to display notifications to
users, view the <Anchor group="notifications" href="/">Notifications</Anchor> module.

<Youtube id="sioEY4tWmLI" />

## Getting Started

<Grid columns="3">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Install & start tracking key performance metrics within your application.
	</Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=messaging"
	>
	  Firebase Cloud Messaging is powerful tool to empower your application. Our guides cover various ways it can be integrated
	  on your application and backend systems.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The API reference covers everything required to successfully integrate Messaging into your apps.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-messaging)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Amessaging+)
- [Firebase Documentation](https://firebase.google.com/docs/perf-mon?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=messaging)
