---
title: Cloud Firestore
description: Cloud Firestore is a scalable NoSQL cloud database to store and sync data for client and server-side development.
---

# Cloud Firestore

Cloud Firestore is a NoSQL cloud database to store and sync data between your React Native application
and Firebase's database. The API matches the Firebase Web SDK whilst taking advantage of the native SDKs
performance and offline capabilities.

<Youtube id="QcsAb2RR52c" />

## Getting Started

<Grid columns="3">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Install & start syncing realtime data in minuties with our quick start guide. 
	</Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=firestore"
	>
    Cloud Firestore offers a range of powerful features. Our guides cover both beginner and advanced topics
    to get started with.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The Cloud Firestore reference API mimics that of the Firebase Web SDK. Our reference documentation covers
    every aspect of the module.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-firestore)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Afirestore+)
- [Firebase Documentation](https://firebase.google.com/docs/firestore?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=firestore)
