---
title: Instance ID
description: Firebase Instance ID provides a unique identifier for each app instance and a mechanism to authenticate and authorize actions.
---

# Instance ID

Instance ID provides a simple API to generate security tokens that authorize third parties to access
your app's server side managed resources, for example sending FCM messages.

## Getting Started

<Grid columns="3">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Install & start using Instance ID with your application.
	</Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=perf"
	>
	  Understand how Instance ID can be used with your application and server side systems.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The API reference covers everything required to successfully start using Instance ID.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-iid)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Aiid+)
