---
title: Firebase In-App Messaging (FIAM)
description: Firebase In-App Messaging helps you engage your app's active users by sending them targeted, contextual messages.
---

# Firebase In-App Messaging

Firebase In-App Messaging helps you engage your app's active users by sending them targeted, contextual
messages that encourage them to use key app features. React Native Firebase provides support for both native Android
& iOS integration with a simple JavaScript API.

<Youtube id="5MRKpvKV2pg" />

## Getting Started

<Grid columns="2">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Install & delivering In-App messages to your users. 
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The Cloud Firestore reference API mimics that of the Firebase Web SDK. Our reference documentation covers
    every aspect of the module.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-inAppMessaging)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Afiam+)
- [Firebase Documentation](https://firebase.google.com/docs/in-app-messaging?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=fiam)
