---
title: v6
description: React Native Firebase version 6.x.x module index
---

# Version 6.x.x

## Supported Versions

React Native Firebase requires the following platform versions:

| Platform     | Minimum Version            |
| ------------ | -------------------------- |
| React Native | {{ versions.reactnative }} |
| Android API  | {{ versions.android }}     |
| iOS          | {{ versions.ios }}         |

## Firebase Modules

Each Firebase module is published as its own package on [NPM](https://www.npmjs.com/) can be
individually installed using [`Yarn`](https://yarnpkg.com/lang/en/). Please refer to the quick start guide
for installation instructions on each individual module page.

> The main package that you interface with is <Anchor version href="/app">App</Anchor> (`@react-native-firebase/app`)

| Module                                                     | Downloads                                                                  | Coverage                                           |
| ---------------------------------------------------------- | -------------------------------------------------------------------------- | -------------------------------------------------- |
| <Anchor href="/admob">AdMob</Anchor>                       | <Badge type="downloads">@react-native-firebase/admob</Badge>               | <Badge type="coverage">admob</Badge>               |
| <Anchor href="/analytics">Analytics</Anchor>               | <Badge type="downloads">@react-native-firebase/analytics</Badge>           | <Badge type="coverage">analytics</Badge>           |
| <Anchor href="/app">App</Anchor>                           | <Badge type="downloads">@react-native-firebase/app</Badge>                 | <Badge type="coverage">app</Badge>                 |
| <Anchor href="/invites">App Invites</Anchor>               | <Badge type="downloads">@react-native-firebase/invites</Badge>             | <Badge type="coverage">invites</Badge>             |
| <Anchor href="/auth">Authentication</Anchor>               | <Badge type="downloads">@react-native-firebase/auth</Badge>                | <Badge type="coverage">auth</Badge>                |
| <Anchor href="/firestore">Cloud Firestore</Anchor>         | <Badge type="downloads">@react-native-firebase/firestore</Badge>           | <Badge type="coverage">firestore</Badge>           |
| <Anchor href="/functions">Cloud Functions</Anchor>         | <Badge type="downloads">@react-native-firebase/functions</Badge>           | <Badge type="coverage">functions</Badge>           |
| <Anchor href="/messaging">Cloud Messaging</Anchor>         | <Badge type="downloads">@react-native-firebase/messaging</Badge>           | <Badge type="coverage">messaging</Badge>           |
| <Anchor href="/storage">Cloud Storage</Anchor>             | <Badge type="downloads">@react-native-firebase/storage</Badge>             | <Badge type="coverage">storage</Badge>             |
| <Anchor href="/crashlytics">Crashlytics</Anchor>           | <Badge type="downloads">@react-native-firebase/crashlytics</Badge>         | <Badge type="coverage">crashlytics</Badge>         |
| <Anchor href="/links">Dynamic Links</Anchor>               | <Badge type="downloads">@react-native-firebase/dynamic-links</Badge>       | <Badge type="coverage">dynamic-links</Badge>       |
| <Anchor href="/in-app-messaging">In-app Messaging</Anchor> | <Badge type="downloads">@react-native-firebase/in-app-messaging</Badge>    | <Badge type="coverage">in-app-messaging</Badge>    |
| <Anchor href="/iid">Instance ID</Anchor>                   | <Badge type="downloads">@react-native-firebase/iid</Badge>                 | <Badge type="coverage">iid</Badge>                 |
| <Anchor href="/mlkit">ML Kit Natural Language</Anchor>     | <Badge type="downloads">@react-native-firebase/ml-natural-language</Badge> | <Badge type="coverage">ml-natural-language</Badge> |
| <Anchor href="/mlkit">ML Kit Vision</Anchor>               | <Badge type="downloads">@react-native-firebase/ml-vision</Badge>           | <Badge type="coverage">ml-vision</Badge>           |
| <Anchor href="/notifications">Notifications</Anchor>       | <Badge type="downloads">@react-native-firebase/notifications</Badge>       | <Badge type="coverage">notifications</Badge>       |
| <Anchor href="/perf">Performance Monitoring</Anchor>       | <Badge type="downloads">@react-native-firebase/perf</Badge>                | <Badge type="coverage">perf</Badge>                |
| <Anchor href="/database">Realtime Database</Anchor>        | <Badge type="downloads">@react-native-firebase/database</Badge>            | <Badge type="coverage">database</Badge>            |
| <Anchor href="/remote-config">Remote Config</Anchor>       | <Badge type="downloads">@react-native-firebase/remote-config</Badge>       | <Badge type="coverage">remote-config</Badge>       |
