---
title: Invites
description: Firebase Invites are an out-of-the-box solution for app referrals and sharing via email or SMS.
---

# Invites

> Firebase Invites is deprecated. On January 24th, 2020, support will be discontinued for Firebase Invites. Learn how to migrate to <Anchor href="/migrate-to-dynamic-links">Dynamic Links</Anchor> with a customs sharing solution.

React Native Firebase provides native integration of Firebase Invites, allowing you to build your own invitations
to send to friends with a JavaScript API. Send simple or rich HTML emails to users, and then build a custom invite
handler directly within your React Native app.

<Youtube id="LkaIJCZ_HyM" />

## Getting Started

<Grid>
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Install, invite and handle app invitations with Firebase Invites.
	</Block>
  <Block
    icon="warning"
    color="#f44336"
    title="Migrating to Dynamic Links"
    to="/migrate-to-dynamic-links"
  >
    Firebase Invites is being deprecated, learn how to migrate to using Dynamic Links.
  </Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The API reference covers everything required to successfully integrate Invites into your apps.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-invites)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Ainvites+)
- [Firebase Documentation](https://firebase.google.com/docs/perf-mon?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=invites)
