---
title: ML Kit Natural Language
description: ML Kit Natural Language APIs lets you bring powerful Natural Language machine learning features into your React Native app.
---

# ML Kit - Natural Language

Firebase ML Kit brings the power of machine learning to your React Native application, supporting both Android & iOS.

<Youtube id="ejrn_JHksws" />

ML Kit Natural Language for React Native currently supports the following APIs.

| API                                 | Supported |
|-------------------------------------|-----------|
| [Language Identification](https://firebase.google.com/docs/ml-kit/identify-languages)             | ✅        |
| [Smart Reply](https://firebase.google.com/docs/ml-kit/generate-smart-replies)                         | ✅        |
| [Translate](https://firebase.google.com/docs/ml-kit/translation)                           | ❌        |

Support for Translate APIs coming in a later release.

## Getting Started

<Grid columns="2">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Get started with ML Kit Natural language and start using the power of Machine Learning in your app.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The API reference covers everything required to successfully integrate ML Kit into your React Native app.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-mlkit)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Amlkit+)
- [Firebase Documentation](https://firebase.google.com/docs/perf-mon?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=mlkit)
