---
title: Performance Monitoring
description: Firebase Performance Monitoring is a service that helps you to gain insight into the performance characteristics of your iOS and Android apps.
---

# Performance Monitoring

React Native Firebase provides native integration with Performance Monitoring to gain insight into
key performance characteristics within your React Native application. The library works out of the box,
however provides a simple API to track custom trace and HTTP request metrics.

<Youtube id="0EHSPFvH7vk" />

## Getting Started

<Grid columns="3">
	<Block
		icon="build"
		color="#ffc107"
		title="Quick Start"
		to="/quick-start"
	>
    Install & start tracking key performance metrics within your application.
	</Block>
	<Block
		icon="school"
		color="#4CAF50"
		title="Guides"
		version={false}
		to="/guides?tags=perf"
	>
	  Our guides walk you through some of the ways Performance Monitoring can be to gain deeper insight into your applications 
    performance.
	</Block>
  <Block
		icon="layers"
		color="#03A9F4"
		title="Reference"
		to="/reference"
	>
    The API reference covers everything required to successfully monitor your apps performance.
	</Block>
</Grid>

## Learn more

Our documentation is a great place to start, however if you're looking for more help or want to help others,
check out the resources below:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/react-native-firebase-perf)
- [Github Issues](https://github.com/invertase/react-native-firebase/issues?utf8=%E2%9C%93&q=is%3Aissue+sort%3Aupdated-desc+label%3Aperf+)
- [Firebase Documentation](https://firebase.google.com/docs/perf-mon?utm_source=invertase&utm_medium=react-native-firebase&utm_campaign=perf-mon)
